﻿using System;
using System.Windows.Forms;

namespace ARClient {
	public partial class frmTextInput : Form {
		public frmTextInput() {
			InitializeComponent();
		}
		public String Description { get { return lblDescription.Text; } set { lblDescription.Text = value; } }
		public String Value { get { return textBox1.Text; } set { textBox1.Text = value; } }

		private void btnOk_Click(object sender, EventArgs e) {
			DialogResult = DialogResult.OK;
			Close();
		}

		private void btnCancel_Click(object sender, EventArgs e) {
			DialogResult = DialogResult.Cancel;
			Close();
		}

		private void textBox1_KeyUp(object sender, KeyEventArgs e) {
			if (e.KeyCode == Keys.Enter) {
				e.Handled = true;
				btnOk_Click(sender, e);
			} else if (e.KeyCode == Keys.Escape) {
				DialogResult = DialogResult.Cancel;
				Close();
			}
		}
	}
}
